---
title: decodeURI()
slug: Web/JavaScript/Reference/Global_Objects/decodeURI
tags:
  - Decode
  - JavaScript
  - Method
  - String
  - Text
  - URI
  - URL
  - decodeURI
  - decoding
---
<div>{{jsSidebar("Objects")}}</div>

<p><span class="seoSummary">The <code><strong>decodeURI()</strong></code> function decodes a Uniform Resource Identifier (URI) previously created by {{jsxref("encodeURI", "encodeURI()")}} or by a similar routine.</span></p>

<div>{{EmbedInteractiveExample("pages/js/globalprops-decodeuri.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><code>decodeURI(<var>encodedURI</var>)</code></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>encodedURI</var></code></dt>
 <dd>A complete, encoded Uniform Resource Identifier.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new string representing the unencoded version of the given encoded Uniform Resource Identifier (URI).</p>

<h3 id="Exceptions">Exceptions</h3>

<p>Throws an {{jsxref("URIError")}} ("malformed URI sequence") exception when <code><var>encodedURI</var></code> contains invalid character sequences.</p>

<h2 id="Description">Description</h2>

<p>Replaces each escape sequence in the encoded URI with the character that it represents, but does not decode escape sequences that could not have been introduced by {{jsxref("encodeURI")}}. The character “<code>#</code>” is not decoded from escape sequences.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Decoding_a_Cyrillic_URL">Decoding a Cyrillic URL</h3>

<pre class="brush: js notranslate">decodeURI('https://developer.mozilla.org/ru/docs/JavaScript_%D1%88%D0%B5%D0%BB%D0%BB%D1%8B');
// "https://developer.mozilla.org/ru/docs/JavaScript_шеллы"
</pre>

<h3 id="Catching_errors">Catching errors</h3>

<pre class="notranslate">try {
  var a = decodeURI('%E0%A4%A');
} catch(e) {
  console.error(e);
}

// URIError: malformed URI sequence</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-decodeuri-encodeduri', 'decodeURI')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.decodeURI")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("decodeURIComponent", "decodeURIComponent()")}}</li>
 <li>{{jsxref("encodeURI", "encodeURI()")}}</li>
 <li>{{jsxref("encodeURIComponent", "encodeURIComponent()")}}</li>
</ul>
